> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Enabled Filters

GET https://api.bigcommerce.com/stores/{store_hash}/v3/settings/search/filters

Returns a list of enabled default [Product Filtering](https://support.bigcommerce.com/s/article/Product-Filtering-Settings) filters. These filters will be used if a store does not have contextual overrides.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/settings/search-filters/get-settings-enabled-search-filters

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

## Response

### 200

OK

- `data` (list of ConfiguredFilter, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### ConfiguredFilter

### MetaOpen

Response metadata.

### EnabledProductFilter

A filter that uses product options and custom field data.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `sort_by` (enum, optional)
  - Allowed values: `alpha`, `option_values`, `item_count`
- `type` (enum, optional)
  - Allowed values: `product`

### EnabledPriceFilter

A filter based on the product’s price, shown as a price range on the storefront.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `price`

### EnabledCategoryFilter

A storefront filter for product category

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `type` (enum, optional)
  - Allowed values: `category`

### EnabledBrandFilter

A storefront filter for product brand

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `items_to_show` (enum, optional)
  - Allowed values: `5`, `10`, `15`
- `sort_by` (enum, optional)
  - Allowed values: `alpha`, `item_count`
- `type` (enum, optional)
  - Allowed values: `brand`

### EnabledRatingFilter

A filter based on product review ratings.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `rating`

### EnabledMiscFilter

Miscellaneous filters which appear as a group.

- `collapsed_by_default` (boolean, optional)
- `display_name` (string, optional)
- `display_product_count` (boolean, optional)
- `id` (string, optional) — The ID of the filter.
- `is_enabled` (boolean, optional)
- `show_free_shipping_filter` (boolean, optional)
- `show_in_stock_filter` (boolean, optional)
- `show_is_featured_filter` (boolean, optional)
- `show_product_count` (boolean, optional)
- `type` (enum, optional)
  - Allowed values: `other`

## Examples

**Response**

```json
{
  "data": [
    {
      "collapsed_by_default": false,
      "display_name": "Size",
      "display_product_count": true,
      "id": "U123=",
      "is_enabled": true,
      "items_to_show": 10,
      "sort_by": "alpha",
      "type": "product"
    },
    {
      "collapsed_by_default": false,
      "display_name": "Brand",
      "display_product_count": true,
      "id": "235fc3dg67",
      "is_enabled": true,
      "items_to_show": 15,
      "sort_by": "alpha",
      "type": "brand"
    },
    {
      "collapsed_by_default": false,
      "display_name": "Color",
      "display_product_count": true,
      "id": "25DtbA=",
      "is_enabled": true,
      "items_to_show": 10,
      "sort_by": "alpha",
      "type": "product"
    },
    {
      "collapsed_by_default": true,
      "display_name": "Ships for Free",
      "display_product_count": false,
      "id": "Ym329vbA==",
      "is_enabled": true,
      "show_free_shipping_filter": true,
      "show_in_stock_filter": true,
      "show_is_featured_filter": true,
      "type": "other"
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python example-1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```